import Editor from '@modules/editor';
import { IGeometryService, IGridService } from '@modules/editor/service/geometry';
type Services = {
    GridService: IGridService;
    GeometryService: IGeometryService;
};
declare class EditorGeometry {
    #private;
    constructor(editor: Editor, services: Services);
    init(): void;
}
export default EditorGeometry;
